Page MenuHomePhabricator

Flow should respect wpuseeditwarning
Closed, ResolvedPublic

Description

The user preference at
[[Special:Preferences#mw-prefsection-editing]] "Warn me when I leave an edit page with unsaved changes"

is not respected by Flow.
We might want to respect this in future.

Expected:
I don't get warned about unsaved changes with the preference disabled.

Actual:
I do get warned.


Version: unspecified
Severity: enhancement

Details

Reference
bz70399

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz70399.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:41 AM
Mattflaschen-WMF triaged this task as Low priority.Feb 9 2015, 6:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 1:38 AM

Change 296276 had a related patch set uploaded (by Catrope):
Show a warning when leaving a page with unsaved text in an editor

https://gerrit.wikimedia.org/r/296276

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 27 2016, 8:36 PM
D3r1ck01 closed this task as Resolved.Nov 1 2017, 7:34 PM
D3r1ck01 claimed this task.
D3r1ck01 added a subscriber: D3r1ck01.

Resolving this. If need be, it can be reopened.